Get analytics
curl --request GET \
--url https://api.agg.market/apps/{appId}/analytics \
--header 'x-app-api-key: <api-key>'import requests
url = "https://api.agg.market/apps/{appId}/analytics"
headers = {"x-app-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-app-api-key': '<api-key>'}};
fetch('https://api.agg.market/apps/{appId}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalUsers": 123,
"totalOrders": 123,
"ordersByStatus": {},
"ordersByVenue": {},
"usersLast30Days": 123,
"usersLast7Days": 123,
"ordersLast30Days": 123,
"ordersLast7Days": 123,
"totalCashUsd": 123,
"totalPositionValueUsd": 123,
"totalPositionCostBasisUsd": 123,
"totalFeesCollectedUsd": 123,
"totalFeeRevenueUsd": 123,
"totalPlatformFeeShareUsd": 123,
"depositsByChain": {}
}{
"message": "<string>"
}{
"message": "<string>"
}App Management
Get analytics
GET
/
apps
/
{appId}
/
analytics
Get analytics
Authorizations
App-scoped API key for programmatic app management.
Path Parameters
Response
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I